<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>FoDocumentFacade (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FoDocumentFacade (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FoDocumentFacade.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/converter/DefaultFontReplacer.html"
               title="class in org.apache.poi.hwpf.converter"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/converter/FontReplacer.html"
               title="interface in org.apache.poi.hwpf.converter"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/converter/FoDocumentFacade.html"
               target="_top">Frames</a></li>
        <li><a href="FoDocumentFacade.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.converter</div>
    <h2 title="Class FoDocumentFacade" class="title">Class FoDocumentFacade</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hwpf.converter.FoDocumentFacade</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">FoDocumentFacade</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#declarations">declarations</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected org.w3c.dom.Document</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#document">document</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#layoutMasterSet">layoutMasterSet</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#propertiesRoot">propertiesRoot</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#root">root</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#FoDocumentFacade-org.w3c.dom.Document-">FoDocumentFacade</a></span>(org.w3c.dom.Document&nbsp;document)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#addFlowToPageSequence-org.w3c.dom.Element-java.lang.String-">addFlowToPageSequence</a></span>(org.w3c.dom.Element&nbsp;pageSequence,
                                    java.lang.String&nbsp;flowName)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#addListItem-org.w3c.dom.Element-">addListItem</a></span>(org.w3c.dom.Element&nbsp;listBlock)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#addListItemBody-org.w3c.dom.Element-">addListItemBody</a></span>(org.w3c.dom.Element&nbsp;listItem)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#addListItemLabel-org.w3c.dom.Element-java.lang.String-">addListItemLabel</a></span>(org.w3c.dom.Element&nbsp;listItem,
                                    java.lang.String&nbsp;text)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#addPageSequence-org.w3c.dom.Element-">addPageSequence</a></span>(org.w3c.dom.Element&nbsp;pageSequence)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#addPageSequence-java.lang.String-">addPageSequence</a></span>(java.lang.String&nbsp;pageMaster)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#addRegionBody-org.w3c.dom.Element-">addRegionBody</a></span>(org.w3c.dom.Element&nbsp;pageMaster)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#addSimplePageMaster-java.lang.String-">addSimplePageMaster</a></span>(java.lang.String&nbsp;masterName)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createBasicLinkExternal-java.lang.String-">createBasicLinkExternal</a></span>(java.lang.String&nbsp;externalDestination)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createBasicLinkInternal-java.lang.String-">createBasicLinkInternal</a></span>(java.lang.String&nbsp;internalDestination)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createBlock--">createBlock</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createExternalGraphic-java.lang.String-">createExternalGraphic</a></span>(java.lang.String&nbsp;source)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createFootnote--">createFootnote</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createFootnoteBody--">createFootnoteBody</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createInline--">createInline</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createLeader--">createLeader</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createListBlock--">createListBlock</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createListItem--">createListItem</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createListItemBody--">createListItemBody</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createListItemLabel-java.lang.String-">createListItemLabel</a></span>(java.lang.String&nbsp;text)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createPageSequence-java.lang.String-">createPageSequence</a></span>(java.lang.String&nbsp;pageMaster)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createTable--">createTable</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createTableBody--">createTableBody</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createTableCell--">createTableCell</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createTableColumn--">createTableColumn</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createTableHeader--">createTableHeader</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createTableRow--">createTableRow</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>org.w3c.dom.Text</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#createText-java.lang.String-">createText</a></span>(java.lang.String&nbsp;data)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>org.w3c.dom.Document</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#getDocument--">getDocument</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>protected org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#getOrCreatePropertiesRoot--">getOrCreatePropertiesRoot</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#setCreator-java.lang.String-">setCreator</a></span>(java.lang.String&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#setCreatorTool-java.lang.String-">setCreatorTool</a></span>(java.lang.String&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#setDescription-java.lang.String-">setDescription</a></span>(java.lang.String&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i33" class="rowColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#setDublinCoreProperty-java.lang.String-java.lang.String-">setDublinCoreProperty</a></span>(java.lang.String&nbsp;name,
                                    java.lang.String&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i34" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#setKeywords-java.lang.String-">setKeywords</a></span>(java.lang.String&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i35" class="rowColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#setPdfProperty-java.lang.String-java.lang.String-">setPdfProperty</a></span>(java.lang.String&nbsp;name,
                                    java.lang.String&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i36" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#setProducer-java.lang.String-">setProducer</a></span>(java.lang.String&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i37" class="rowColor">
                                <td class="colFirst"><code>protected org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#setProperty-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">setProperty</a></span>(java.lang.String&nbsp;namespace,
                                    java.lang.String&nbsp;prefix,
                                    java.lang.String&nbsp;name,
                                    java.lang.String&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i38" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#setSubject-java.lang.String-">setSubject</a></span>(java.lang.String&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i39" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#setTitle-java.lang.String-">setTitle</a></span>(java.lang.String&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i40" class="altColor">
                                <td class="colFirst"><code>org.w3c.dom.Element</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FoDocumentFacade.html#setXmpProperty-java.lang.String-java.lang.String-">setXmpProperty</a></span>(java.lang.String&nbsp;name,
                                    java.lang.String&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="declarations">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>declarations</h4>
                                <pre>protected final&nbsp;org.w3c.dom.Element declarations</pre>
                            </li>
                        </ul>
                        <a name="document">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>document</h4>
                                <pre>protected final&nbsp;org.w3c.dom.Document document</pre>
                            </li>
                        </ul>
                        <a name="layoutMasterSet">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>layoutMasterSet</h4>
                                <pre>protected final&nbsp;org.w3c.dom.Element layoutMasterSet</pre>
                            </li>
                        </ul>
                        <a name="propertiesRoot">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>propertiesRoot</h4>
                                <pre>protected&nbsp;org.w3c.dom.Element propertiesRoot</pre>
                            </li>
                        </ul>
                        <a name="root">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>root</h4>
                                <pre>protected final&nbsp;org.w3c.dom.Element root</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="FoDocumentFacade-org.w3c.dom.Document-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>FoDocumentFacade</h4>
                                <pre>public&nbsp;FoDocumentFacade(org.w3c.dom.Document&nbsp;document)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="addFlowToPageSequence-org.w3c.dom.Element-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addFlowToPageSequence</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;addFlowToPageSequence(org.w3c.dom.Element&nbsp;pageSequence,
                                                 java.lang.String&nbsp;flowName)</pre>
                            </li>
                        </ul>
                        <a name="addListItem-org.w3c.dom.Element-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addListItem</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;addListItem(org.w3c.dom.Element&nbsp;listBlock)</pre>
                            </li>
                        </ul>
                        <a name="addListItemBody-org.w3c.dom.Element-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addListItemBody</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;addListItemBody(org.w3c.dom.Element&nbsp;listItem)</pre>
                            </li>
                        </ul>
                        <a name="addListItemLabel-org.w3c.dom.Element-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addListItemLabel</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;addListItemLabel(org.w3c.dom.Element&nbsp;listItem,
                                            java.lang.String&nbsp;text)</pre>
                            </li>
                        </ul>
                        <a name="addPageSequence-org.w3c.dom.Element-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addPageSequence</h4>
                                <pre>public&nbsp;void&nbsp;addPageSequence(org.w3c.dom.Element&nbsp;pageSequence)</pre>
                            </li>
                        </ul>
                        <a name="addPageSequence-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addPageSequence</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;addPageSequence(java.lang.String&nbsp;pageMaster)</pre>
                            </li>
                        </ul>
                        <a name="addRegionBody-org.w3c.dom.Element-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addRegionBody</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;addRegionBody(org.w3c.dom.Element&nbsp;pageMaster)</pre>
                            </li>
                        </ul>
                        <a name="addSimplePageMaster-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addSimplePageMaster</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;addSimplePageMaster(java.lang.String&nbsp;masterName)</pre>
                            </li>
                        </ul>
                        <a name="createBasicLinkExternal-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createBasicLinkExternal</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createBasicLinkExternal(java.lang.String&nbsp;externalDestination)</pre>
                            </li>
                        </ul>
                        <a name="createBasicLinkInternal-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createBasicLinkInternal</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createBasicLinkInternal(java.lang.String&nbsp;internalDestination)</pre>
                            </li>
                        </ul>
                        <a name="createBlock--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createBlock</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createBlock()</pre>
                            </li>
                        </ul>
                        <a name="createExternalGraphic-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createExternalGraphic</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createExternalGraphic(java.lang.String&nbsp;source)</pre>
                            </li>
                        </ul>
                        <a name="createFootnote--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createFootnote</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createFootnote()</pre>
                            </li>
                        </ul>
                        <a name="createFootnoteBody--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createFootnoteBody</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createFootnoteBody()</pre>
                            </li>
                        </ul>
                        <a name="createInline--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createInline</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createInline()</pre>
                            </li>
                        </ul>
                        <a name="createLeader--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createLeader</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createLeader()</pre>
                            </li>
                        </ul>
                        <a name="createListBlock--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createListBlock</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createListBlock()</pre>
                            </li>
                        </ul>
                        <a name="createListItem--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createListItem</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createListItem()</pre>
                            </li>
                        </ul>
                        <a name="createListItemBody--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createListItemBody</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createListItemBody()</pre>
                            </li>
                        </ul>
                        <a name="createListItemLabel-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createListItemLabel</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createListItemLabel(java.lang.String&nbsp;text)</pre>
                            </li>
                        </ul>
                        <a name="createPageSequence-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPageSequence</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createPageSequence(java.lang.String&nbsp;pageMaster)</pre>
                            </li>
                        </ul>
                        <a name="createTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTable</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createTable()</pre>
                            </li>
                        </ul>
                        <a name="createTableBody--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTableBody</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createTableBody()</pre>
                            </li>
                        </ul>
                        <a name="createTableCell--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTableCell</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createTableCell()</pre>
                            </li>
                        </ul>
                        <a name="createTableColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTableColumn</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createTableColumn()</pre>
                            </li>
                        </ul>
                        <a name="createTableHeader--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTableHeader</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createTableHeader()</pre>
                            </li>
                        </ul>
                        <a name="createTableRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTableRow</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;createTableRow()</pre>
                            </li>
                        </ul>
                        <a name="createText-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createText</h4>
                                <pre>public&nbsp;org.w3c.dom.Text&nbsp;createText(java.lang.String&nbsp;data)</pre>
                            </li>
                        </ul>
                        <a name="getDocument--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDocument</h4>
                                <pre>public&nbsp;org.w3c.dom.Document&nbsp;getDocument()</pre>
                            </li>
                        </ul>
                        <a name="getOrCreatePropertiesRoot--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOrCreatePropertiesRoot</h4>
                                <pre>protected&nbsp;org.w3c.dom.Element&nbsp;getOrCreatePropertiesRoot()</pre>
                            </li>
                        </ul>
                        <a name="setCreator-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCreator</h4>
                                <pre>public&nbsp;void&nbsp;setCreator(java.lang.String&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setCreatorTool-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCreatorTool</h4>
                                <pre>public&nbsp;void&nbsp;setCreatorTool(java.lang.String&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setDescription-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDescription</h4>
                                <pre>public&nbsp;void&nbsp;setDescription(java.lang.String&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setDublinCoreProperty-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDublinCoreProperty</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;setDublinCoreProperty(java.lang.String&nbsp;name,
                                                 java.lang.String&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setKeywords-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setKeywords</h4>
                                <pre>public&nbsp;void&nbsp;setKeywords(java.lang.String&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setPdfProperty-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPdfProperty</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;setPdfProperty(java.lang.String&nbsp;name,
                                          java.lang.String&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setProducer-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setProducer</h4>
                                <pre>public&nbsp;void&nbsp;setProducer(java.lang.String&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setProperty-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setProperty</h4>
                                <pre>protected&nbsp;org.w3c.dom.Element&nbsp;setProperty(java.lang.String&nbsp;namespace,
                                          java.lang.String&nbsp;prefix,
                                          java.lang.String&nbsp;name,
                                          java.lang.String&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setSubject-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSubject</h4>
                                <pre>public&nbsp;void&nbsp;setSubject(java.lang.String&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setTitle-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTitle</h4>
                                <pre>public&nbsp;void&nbsp;setTitle(java.lang.String&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setXmpProperty-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setXmpProperty</h4>
                                <pre>public&nbsp;org.w3c.dom.Element&nbsp;setXmpProperty(java.lang.String&nbsp;name,
                                          java.lang.String&nbsp;value)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FoDocumentFacade.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/converter/DefaultFontReplacer.html"
               title="class in org.apache.poi.hwpf.converter"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/converter/FontReplacer.html"
               title="interface in org.apache.poi.hwpf.converter"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/converter/FoDocumentFacade.html"
               target="_top">Frames</a></li>
        <li><a href="FoDocumentFacade.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
